import request from '@/utils/request'

// 查询项目费用申请列表
export function getList(query) {
    return request({
        url: '/approvalConfiguration/getList',
        method: 'get',
        params:query
    })
}

// 获取所有角色
export function getAllRoleList() {
    return request({
        url: '/approvalConfiguration/getAllRoleList',
        method: 'get'
    })
}

// 新增审批节点
export function insertApproval(data) {
    return request({
        url: '/approvalConfiguration/insertApproval',
        method: 'post',
        data:data
    })
}

// 获取编辑详情
export function getMainDetailById(id) {
    return request({
        url: '/approvalConfiguration/getDetail/'+id,
        method: 'get'
    })
}

// 修改
export function updateApprovalConfigurationMain(data) {
    return request({
        url: '/approvalConfiguration/updateDetail',
        method: 'put',
        data:data
    })
}

// 修改
export function delMainData(id) {
    return request({
        url: '/approvalConfiguration/delMain/'+id,
        method: 'delete'
    })
}

// 详情
export function getNodeListDetail(id) {
    return request({
        url: '/approvalConfiguration/getNodeList/'+id,
        method: 'get'
    })
}
