import request from '@/utils/request'

//工时查询--查询个人工时记录
export function PListTimesheet(query,startTime,endTime) {
  return request({
    url: '/timesheet/timesheet/pTimesheetList',
    method: 'get',
    params: query
  })
}

//填报工时--查询个人本周填报工时
export function getPersonalTimesheet(data) {
  return request({
    url: '/timesheet/timesheet/personalTimesheet/' + data,
    method: 'get'
  });
}

//填报工时
export function addTimesheetList(data) {
  return request({
    url: '/timesheet/timesheet/batchInsert',
    method: 'post',
    data: data
  })
}

// 查询工时记录列表
export function listTimesheet(query) {
  return request({
    url: '/timesheet/timesheet/list',
    method: 'get',
    params: query
  })
}

// 查询工时记录详细
export function getTimesheet(id) {
  return request({
    url: '/timesheet/timesheet/' + id,
    method: 'get'
  })
}

// 新增工时记录
export function addTimesheet(data) {
  return request({
    url: '/timesheet/timesheet',
    method: 'post',
    data: data
  })
}

// 修改工时记录
export function updateTimesheet(data) {
  return request({
    url: '/timesheet/timesheet',
    method: 'put',
    data: data
  })
}

// 删除工时记录
export function delTimesheet(id) {
  return request({
    url: '/timesheet/timesheet/' + id,
    method: 'delete'
  })
}
