import request from '@/utils/request'

// 查询离职申请列表
export function listLeaveManage(query) {
    return request({
        url: '/leavemanage/leavemanage/list',
        method: 'get',
        params: query
    })
}

// 查询离职申请详细
export function getLeaveManage(id) {
    return request({
        url: '/leavemanage/leavemanage/' + id,
        method: 'get'
    })
}

// 新增离职申请
export function addLeaveManage(data) {
    return request({
        url: '/leavemanage/leavemanage',
        method: 'post',
        data: data
    })
}

// 修改离职申请
export function updateLeaveManage(data) {
    return request({
        url: '/leavemanage/leavemanage',
        method: 'put',
        data: data
    })
}

// 删除离职申请
export function delLeaveManage(id) {
    return request({
        url: '/leavemanage/leavemanage/' + id,
        method: 'delete'
    })
}
export function delConfirmationManage(id) {
    return request({
        url: '/confirmationmanage/confirmationmanage/' + id,
        method: 'delete'
    })
}
export function getAllapproveList(id) {
    return request({
        url: '/approvalConfiguration/getNodeList/' + id,
        method: 'get'
    })
}


export function updateResignation(data) {
    return request({
        url: '/leavemanage/leavemanage/updateResignation',
        method: 'post',
        data: data
    })
}

export function updateResignation2(data) {
    return request({
        url: '/leavemanage/leavemanage/updateResignation2',
        method: 'post',
        data: data
    })
}

